Unhold a seller payout batch
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}/unhold \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}/unhold"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches/{id}/unhold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payout_batch": {
"batch_number": "<string>",
"credit_adjustments": 123,
"debit_adjustments": 123,
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"payment_gateway": "<string>",
"payment_gateway_reference_no": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"payment_option": "auto",
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"amount": 123,
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_reference_number": "<string>",
"payment_method": "Card",
"payment_mode": "<string>",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"card_number": "<string>",
"card_type": "Visa"
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "created",
"to_be_paid": 123,
"total_charges": 123,
"total_invoice_amount": 123,
"transferred_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Payouts
Unhold a seller payout batch
Releases a held payout batch back into the payout pipeline so the next transfer run can pick it up. Returns the updated SellerPayoutBatch.
POST
/
orders
/
payouts
/
invoices
/
batches
/
{id}
/
unhold
Unhold a seller payout batch
Was this page helpful?
⌘I